# Tokiwa Software Fuzion Contributor Agreement

This Contributor Agreement („agreement“) applies to any contribution that you make to Tokiwa Software GmbH's Fuzion ("we" or "us"). The purpose of this agreement is to clarify and document the rights granted by you to us.

## 1. Definitions

"You" means the individual copyright owner who submits a contribution to us.

"Contribution" means any original work of authorship, including any original modifications or additions to an existing work of authorship, submitted by you to us, in which you own the copyright.

"Copyright" means all rights protecting works of authorship, including copyright, moral and neighboring rights, as appropriate, for the full term of their existence.

"Material" means the software or documentation made available by us to third parties. When this agreement covers more than one software project, the material means the software or documentation to which the contribution was submitted. After you submit the contribution, it may be included in the material.

"Submit" means any act by which a Contribution is transferred to us by you by means of tangible or intangible media, including but not limited to electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, us, but excluding any transfer that is conspicuously marked or otherwise designated in writing by you as "Not a Contribution."

"Documentation" means any non-software portion of a contribution.

## 2. License grant
### 2.1 Copyright license to us
Subject to the terms and conditions of this agreement, you hereby grant to us a worldwide, royalty-free, exclusive, perpetual, and irrevocable (except as stated in Section 5.2) license, with the right to transfer the forementioned exclusive license or an unlimited number of non-exclusive licenses or to grant sublicenses to third parties, under the copyright covering the contribution to use the contribution by all means, including, but not limited to:

- publish the contribution,

- modify the contribution,

- prepare derivative works based upon or containing the contribution and/or to combine the contribution with other materials,

- reproduce the contribution in original or modified form,

- distribute, to make the contribution available to the public, display and publicly perform the contribution in original or modified form.

### 2.2 Moral rights

You may add your name to the attribution mechanism customary used in the materials you contribute to, such as the header of the source code files of your contribution, and we will respect this attribution when using your contribution. Other moral rights are waived as to the extent legally permitted.

### 2.3 Copyright license back to You

Upon such grant of rights to us, we immediately grant to you a worldwide, royalty-free, non-exclusive, perpetual and irrevocable license, with the right to transfer an unlimited number of non-exclusive licenses or to grant sublicenses to third parties, under the copyright covering the contribution to use the contribution by all means, including but not limited to those mentioned in 2.1. This license back is limited to the contribution and does not provide any rights to the material.

## 3. Patents

### 3.1 Patent license

Subject to the terms and conditions of this agreement you hereby grant to us and to recipients of materials distributed by us a worldwide, royalty-free, non-exclusive, perpetual and irrevocable (except as stated in Section 3.2) patent license, with the right to transfer an unlimited number of non-exclusive licenses or to grant sublicenses to third parties, to make, have made, use, sell, offer for sale, import and otherwise transfer the contribution and the contribution in combination with any material (and portions of such combination). This license applies to all patents owned or controlled by you, whether already acquired or hereafter acquired, that would be infringed by making, having made, using, selling, offering for sale, importing or otherwise transferring of your contribution(s) alone or by combination of your contribution(s) with any material.

### 3.2 Revocation of patent license

You reserve the right to revoke the patent license stated in section 3.1 if we make any infringement claim that is targeted at your contribution and not asserted for a Defensive Purpose. An assertion of claims of the Patents shall be considered for a "Defensive Purpose" if the claims are asserted against an entity that has filed, maintained, threatened, or voluntarily participated in a patent infringement lawsuit against us or any of our licensees.

## 4. License obligations by us

We agree to (sub)license the contribution only under the terms of any license the Free Software Foundation classifies as Free Software License or which are approved by the Open Source Initiative as Open Source licenses, at our option among the foregoing licenses.

In addition, we may use the following licenses for documentation in the contribution: FreeBSD Documentation License, any version of the GNU Free Documentation License (FDL), Open Content License, Open Directory License, Open Publication License, Public Documentation License, or any Creative Commons license (including any right to adopt any future version of a license).We agree to license patents owned or controlled by you only to the extent necessary to (sub)license your contribution(s) under the terms of any license the Free Software Foundation classifies as Free Software licenses or which are approved by the Open Source Initiative as Open Source licenses.

The foregoing sentences in this Section 4 do not apply to any materials that contain, are based on, combine, or modify, or are derived from, your contribution. With respect to such materials, we are entirely free to choose a license for (sub-)licensing.

## 5. Term

By uploading your contribution to us after being made aware of these terms and conditions, you accept this agreement, and it shall come into effect.

This agreement shall apply for the term of the copyright and patents licensed here. However, you shall have the right to terminate the agreement if we do not fulfil the obligations as set forth in Section 4. Such termination must be made in writing.

In the event of a termination of this agreement Sections 5 and 6 shall survive such termination and shall remain in full force thereafter. For the avoidance of doubt, (sub)licenses that have already been granted for contributions at the date of the termination shall remain in full force after the termination of this agreement.

## 6 Miscellaneous

This agreement and all disputes, claims, actions, suits, or other proceedings arising out of this agreement or relating in any way to it shall be governed by the laws of the Federal Republic of Germany excluding its private international law provisions. Place of jurisdiction is Karlsruhe, Germany.

This agreement sets out the entire agreement between you and us for your contributions to us and overrides all other agreements or understandings.

If any provision of this agreement is found void and unenforceable, such provision will be replaced to the extent possible with a provision that comes closest to the meaning of the original provision and that is enforceable. The terms and conditions set forth in this agreement shall apply notwithstanding any failure of essential purpose of this agreement or any limited remedy to the maximum extent possible under law.

You agree to notify us of any facts or circumstances of which you become aware that would make this agreement inaccurate in any respect.

## Version
License Version 1.0, 2024-02-01.

## Attribution

This License Document is based on [Contributor License Agreement Chooser](https://contributoragreements.org/ca-cla-chooser/), modified by Tokiwa Software GmbH, Karlsruhe, Germany, and licensed under a [Creative Commons Attribution-Share Alike 3.0 Unported License](https://creativecommons.org/licenses/by-sa/3.0/legalcode.en).
